| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
ob::Filter Class Reference

`#include <Filter.hpp>`

Inheritance diagram for ob::Filter:

## Public Member Functions
| Filter ()
virtual | ~Filter ()=default
virtual void | reset ()
| filter reset, free the internal cache, stop the processing thread and clear the pending buffer frame when asynchronous processing More...
virtual std::shared_ptr< Frame > | process (std::shared_ptr< Frame > frame)
| Processing frames (synchronous interface) More...
virtual void | pushFrame (std::shared_ptr< Frame > frame)
| Push the pending frame into the cache (asynchronous callback interface) More...
virtual void | setCallBack (FilterCallback callback)
| Set the callback function (asynchronous callback interface) More...

## Protected Attributes
std::shared_ptr< FilterImpl > | impl_

## Detailed Description

Definition at line 21 of file Filter.hpp.

## Constructor & Destructor Documentation

ob::Filter::Filter | ( |  | ) |

virtual ob::Filter::~Filter | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void ob::Filter::reset | ( |  | ) |
| virtual

filter reset, free the internal cache, stop the processing thread and clear the pending buffer frame when asynchronous processing

virtual std::shared_ptr<Frame> ob::Filter::process | ( | std::shared_ptr< Frame > | frame | ) |
| virtual

Processing frames (synchronous interface)

Parameters

  frame | frame to be processed

Returns
  std::shared_ptr< Frame > processed frame

virtual void ob::Filter::pushFrame | ( | std::shared_ptr< Frame > | frame | ) |
| virtual

Push the pending frame into the cache (asynchronous callback interface)

Parameters

  frame | The pending frame processing result is returned by the callback function

virtual void ob::Filter::setCallBack | ( | FilterCallback | callback | ) |
| virtual

Set the callback function (asynchronous callback interface)

Parameters

  callback | Processing result callback

## Member Data Documentation

std::shared_ptr<FilterImpl> ob::Filter::impl_
| protected

Definition at line 79 of file Filter.hpp.

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Filter.hpp